Subject: Re: Bug in $PATH initialization?
From: Lennart Borgman <[email-masked]>
To: Mark Harig <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Jun 2009 01:32:27 +0200
List-Id: <cygwin.cygwin.com>

On Tue, Jun 9, 2009 at 1:05 AM, Mark Harig<[email-masked]> wrote:
> From the bash manual (in emacs: M-: (info "(bash) Bash Startup Files")):
>
> "When an interactive shell that is not a login shell is started, Bash
> reads and executes commands from `~/.bashrc', if that file exists.
> This may be inhibited by using the `--norc' option."
>
> So, in the typical case, when you start bash with '-i', it sources the
> following files:
>         /etc/profile   # which typically contains PATH initialization
>         ~/.bash_profile  # or some other "login" file, such as ~/.profile
>         ~/.bash_profile will usually source ~/.bashrc (the non-login code)
>
> To avoid having these files read, start bash with '--noprofile' (if you wish
> to avoid reading /etc/profile and ~/.bash_profile) and '--norc' (if you wish
> to avoid reading ~/.bashrc.  Or, simply edit /etc/profile and ~/.bashrc,
> where PATH is typically set to get PATH to have the ordering that you
> want.

Thanks Mark. I might need this information, I am not sure at the
moment, but I am trying to do avoid changing anything in this file. I
am not the user so to say.

What I am trying to do is to make the setup for the command
cygwin-shell in the Emacs+EmacsW32 distro as automatic as possible.
The user should not have to care. It should just work. (This is native
Emacs, compiled for windows, not for cygwin.)

So therefor I check the cygwin installation from the windows registry
and try to add the path for cygwin as I told before.

The information I got here is that the result from what I do should
work as expected. There is now only one flaw and that is that cygwin
will not show the expected path in $PATH. This could be a source of
great confusion and waste a lot of time for a user hunting a difficult
error so it would be good if it could be fixed.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/